//+------------------------------------------------------------------+
//|                                                  spread swap.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property indicator_separate_window
//----
double    swaplong,swapshort;
double spread;
double pip;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
  int init()
  {
   IndicatorShortName("spread/swap monitor ("+Symbol()+")");
   pip = Point;
   if(Digits==3 || Digits==5) pip = 10*Point;
//----
  return(0);}
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int deinit()
   {
      return(0);
   }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  {
   spread=MarketInfo(Symbol(),13)*Point/pip;
   swaplong=NormalizeDouble(MarketInfo(Symbol(),18),2);
   swapshort=NormalizeDouble(MarketInfo(Symbol(),19),2);
//----
   ObjectCreate("spread/swap monitor1", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor1","Current Spread :", 10, "Arial Black", Navy);
   ObjectSet("spread/swap monitor", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor1", OBJPROP_XDISTANCE, 180);
   ObjectSet("spread/swap monitor1", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor2", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor2",DoubleToStr(spread ,1),10, "Arial Black", Navy);
   ObjectSet("spread/swap monitor2", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor2", OBJPROP_XDISTANCE, 420);
   ObjectSet("spread/swap monitor2", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor3", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor3","Buy Swap :", 10, "Arial Black", Green);
   ObjectSet("spread/swap monitor3", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor3", OBJPROP_XDISTANCE, 550);
   ObjectSet("spread/swap monitor3", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor4", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor4",DoubleToStr( swaplong ,2),10, "Arial Black", Green);
   ObjectSet("spread/swap monitor4", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor4", OBJPROP_XDISTANCE, 720);
   ObjectSet("spread/swap monitor4", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor5", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor5","Sell Swap :", 10, "Arial Black", FireBrick);
   ObjectSet("spread/swap monitor5", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor5", OBJPROP_XDISTANCE, 920);
   ObjectSet("spread/swap monitor5", OBJPROP_YDISTANCE, 0);
//----
   ObjectCreate("spread/swap monitor6", OBJ_LABEL, WindowFind("spread/swap monitor ("+Symbol()+")"), 0, 0);
   ObjectSetText("spread/swap monitor6",DoubleToStr( swapshort ,2),10, "Arial Black", FireBrick);
   ObjectSet("spread/swap monitor6", OBJPROP_CORNER, 0);
   ObjectSet("spread/swap monitor6", OBJPROP_XDISTANCE, 1090);
   ObjectSet("spread/swap monitor6", OBJPROP_YDISTANCE, 0);
//----
   return(0);
  }
//+------------------------------------------------------------------+